≡菜单

如何解决–CPAN.pm需要安装tar,gzip和bzip2– error message

[CPAN徽标]问题: 您的tar,gzip和bzip2在服务器上可以正常工作。但是,你越来越“CPAN.pm需要外部程序tar,gzip和bzip2 installed. Can’t continue.”使用cpan安装perl模块时出现错误消息。本文介绍了如何解决此问题。
 
另外,请参阅我们之前关于 如何安装Perl模块 使用手动和cpan方法。

解:

发生错误是因为CPAN无法识别tar,bzip2和gzip文件的位置。如下所示配置这些位置。

# perl -MCPAN -eshell

cpan shell -- CPAN exploration and modules installation (v1.9205)
ReadLine support available (maybe install Bundle::CPAN or Bundle::CPANxxl?)

cpan[1]> o conf tar /bin/tar
tar  [/bin/tar]
Please use 'o conf commit' to make the config permanent!

cpan[2]> o conf bzip2 /bin/bzip2
bzip2 [/bin/bzip2]
Please use 'o conf commit' to make the config permanent!

cpan[3]> o conf gzip /bin/gzip
gzip   [/bin/gzip]
Please use 'o conf commit' to make the config permanent!

cpan[4]>  o conf commit
commit: wrote '/usr/lib/perl5/5.10.0/CPAN/Config.pm'

cpan[5]> quit
No history written (no histfile specified).
Lockfile removed.

确保执行提交以保存配置更改,如上所示。

如果您喜欢这篇文章,您可能还会喜欢..

  1. 50个Linux Sysadmin教程
  2. 50个最常用的Linux命令(包括示例)
  3. 排名前25位的最佳Linux性能监视和调试工具
  4. 妈妈,我找到了! – 15个实用的Linux Find命令示例
  5. Linux 101 Hacks第二版电子书 Linux 101黑客手册

Bash 101 Hacks书 Sed和Awk 101黑客手册 Nagios Core 3书 Vim 101黑客手册

{ 0 评论… 加一 }

发表评论